# Python threading

class pypdevs.realtime.threadingPython.ThreadingPython

  Simple Python threads subsystem

  __init__()

    Constructor

  callFunc(delay, func)

    Function to call on a seperate thread: will block for the specified time and call the function afterwards

  interrupt()

    Interrupt the waiting thread

  wait(delay, func)

    Wait for the specified time, or faster if interrupted

    Parameters

      - delay – time to wait

      - func – the function to call